class Person
{
    private String firstName;
    private String lastName;
    private int age;
    private String nationality;
    
    // default constructor - not very interesting!
    public Person()
    {
        firstName = lastName = nationality = "";
        age = 0;
    }
    
    // constructs a "real" person from "real" data
    public Person(String f, String l, String nat, int age)
    {
        firstName = f;
        lastName = l;
        nationality = nat; 
        this.age = age;
    }
    
    public void birthday()
    {
        age++;
    }
    
    // always provide a toString() method for every class you write
    public String toString(int x)  // this is an overloaded toString.  Might not work correctly!
    {
        return firstName + " " + lastName + " " + nationality + " " + age + x;
    }
    
    public static void main(String[] args)
    {
        final int NUM_CONTACTS = 5;
        Person mark = new Person("Mark","Stehlik","USA",56);
        System.out.println(mark.toString(8));  // this calls the overloaded toString
        mark.birthday();
        // this implicitly calls toString() which is not overridden anymore
        System.out.println(mark);
        // this is really what's going on behind the scenes when you print...
        System.out.println(mark.toString());
        Person[] contacts = new Person[NUM_CONTACTS];
        // your code to test your new methods and insert 5 people into the contacts array goes here
    }
}